[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TryStrToBool

Try to convert a string to a boolean value

## Declaration

Source position: sysstrh.inc line 244

`function TryStrToBool(`
`const S: string;`
`out Value: Boolean`
`):Boolean; function TryStrToBool(`
`const S: string;`
`out Value: Boolean;`
`const FormatSettings: TFormatSettings`
`):Boolean;`

## Description

TryStrToBool tries to convert the string S to a boolean value, and returns this value in Value. In this case, the function returns True. If S does not contain a valid boolean string, the function returns False, and the contents of Value is undetermined.

Valid boolean string constants are in the FalseBoolStrs (for False values) and TrueBoolStrs (for True values) variables.

## See also

StrToBool |  | Convert a string to a boolean value
StrToBoolDef |  | Convert string to boolean value, returning default in case of error